org.apache.cassandra.thrift

## Class TFramedTransportFactory

- java.lang.Object
- - org.apache.cassandra.thrift.TFramedTransportFactory

All Implemented Interfaces:
  ITransportFactory

    public class TFramedTransportFactory
    extends java.lang.Object
    implements ITransportFactory

### Field Summary

### Fields inherited from interface org.apache.cassandra.thrift.ITransportFactory

`PROPERTY_KEY`

### Constructor Summary

Constructors
Constructor and Description
`TFramedTransportFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.thrift.transport.TTransport` `openTransport(java.lang.String host, int port)` Opens a client transport to a thrift server.
`void` `setOptions(java.util.Map<java.lang.String,java.lang.String> options)` Sets an implementation defined set of options.
`java.util.Set<java.lang.String>` `supportedOptions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TFramedTransportFactory

    public TFramedTransportFactory()

### Method Detail

#### openTransport

    public org.apache.thrift.transport.TTransport openTransport(java.lang.String host,
                                                                int port)
                                                         throws org.apache.thrift.transport.TTransportException

Description copied from interface: `ITransportFactory`
Opens a client transport to a thrift server. Example:

     TTransport transport = clientTransportFactory.openTransport(address, port);
     Cassandra.Iface client = new Cassandra.Client(new BinaryProtocol(transport));

Specified by:
  `openTransport` in interface `ITransportFactory`
Parameters:
  `host` - fully qualified hostname of the server
  `port` - RPC port of the server
Returns:
  open and ready to use transport
Throws:
  `org.apache.thrift.transport.TTransportException`

#### setOptions

    public void setOptions(java.util.Map<java.lang.String,java.lang.String> options)

Description copied from interface: `ITransportFactory`
Sets an implementation defined set of options. Keys in this map must conform to the set set returned by ITransportFactory#supportedOptions.

Specified by:
  `setOptions` in interface `ITransportFactory`
Parameters:
  `options` - option map

#### supportedOptions

    public java.util.Set<java.lang.String> supportedOptions()

Specified by:
  `supportedOptions` in interface `ITransportFactory`
Returns:
  set of options supported by this transport factory implementation